Bug 56434 - Anaconda: "install exited abnormally"; rpm: "unpacking of archive failed ... cpio: MD5 sum mismatch"
Anaconda: "install exited abnormally"; rpm: "unpacking of archive failed ... ...
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-17 21:55 EST by Werner Puschitz
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-21 00:03:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Werner Puschitz 2001-11-17 21:55:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.9-6 i686)

Description of problem:
7.2 installation ALWAYS fails on a PC where 7.1 has no problems.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
I'm trying to install all packages. I tried GUI mode, text mode, expert
mode.
	

Actual Results:  rpm fails for several packages until Anaconda exits
abnormally.
Some examples:
unpacking of archive failed on file
/usr/lib/perl5/5.6.0/unicode/Names.txt;3bf59301: cpio: MD5 sum mismatch
unpacking of archive failed on file /etc/termcap;3bf59301: cpio: MD5 sum
mismatch
unpacking of archive failed on file
/usr/lib/python1.5/lib-dynload/socketmodule.so;3bf59301: cpio: MD5 sum
mismatch
etc.

Additional info:

PC "A" has a running 7.2 system.
PC "B" has a running 7.1 system on /dev/hdd. This is the PC where I'm
having troubles with installing 7.2.
 
Are CDs the problem?
-------------------- 
 
- The installation of 7.2 works fine on PC "A".
 
- Checking the CDs checksums on PC "A" (RH7.2) and on PC "B" (RH7.1)
  displays the same checksums.
 
- Checking the packages' checksums on PC "A" (RH7.2) and on PC "B" (RH7.1)
  displays the same checksums.
 
=> So the CDs seem to be ok.

Is there a memory problem on PC "B"?
------------------------------------
 
- RH 7.1 runs on this PC on /dev/hdd all the time without any problems.
  That's where I'm writing this summary. This PC is usually up and running
  for many days.

=> So memory seems to be ok.
 
Is there a harddisk problem on PC "B"?
---------------------------------------
 
- Trying to install 7.2 in GUI mode and in text mode 6 times on /dev/hda
  AND on /dev/hdb gives me always several RPM checksum error messages for
  different packages.
 
- I checked both harddisks for bad blocks - no bad blocks have been found.
 
- Installing RH 7.1 on these harddisks works fine (I tried it 2 times
today).
 
=> So the harddisks seem to be ok.
 
Is there a problem with the DVD ROM drive on PC "B"?
----------------------------------------------------

- When I checked the checksums of the CDs several times with this ROM
  drive, it displayed the same checksums as on PC "A".
 
- When I checked the packages' checksums several with this drive, it
  displayed the same checksums as on PC "A".
 
- Installing RH 7.1 with this ROM drive works fine.
 
=> So the DVD ROM drive seems to be ok.
 
Workaround
----------   
 
I copied the 7.2 images via the DVD ROM drive to /dev/hda on PC "B".
Then I installed 7.2 on /dev/hdb by using the ISO images on /dev/hda.
Now the 7.2 installation succeeded.
This shows again that the harddisks, the memory, and the DVD ROM drive are
ok.
 
My conclusion:
--------------
 
The boot kernel for the 7.2 installation seems to be broken.
It looks like this kernel has problems with the "HITACHI GD-2000, ATAPI
CD/DVD-ROM" drive. I never had any problems when I installed 6.0, 6.1, 6.2
7.0 on this PC with this DVD ROM drive. And today I installed 7.1 2 times
on this PC
without getting any rpm errors.

Thanks
Werner
Comment 1 Brent Fox 2001-11-29 10:27:26 EST
I have seen a large number of bug reports that appear to be bad cdroms, but one
thing that many of these reports have in common is that they were done on dvd
drives.  So, I think your assessment is correct...there appears to be some
problem with some dvd drives.  Our beta testers didn't see this problem in the
betas, and we can't reproduce it internally, so it's hard to pin down.

Arjan, is does the kernel treat dvd drives differently than cdrom?  Also, has
that code changed from 7.1 to 7.2?
Comment 2 Brent Fox 2002-01-21 00:03:12 EST
wp, can you try booting the installer with 'linux ide=nodma' and see if that
helps at all?  Also, it would be useful if you have a traceback message that you
could attach.
Comment 3 Brent Fox 2002-01-31 12:39:01 EST
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.